Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.util
Class UnsyncHashtable

`java.lang.Object
java.util.Dictionary
oracle.security.crypto.util.UnsyncHashtable`

All Implemented Interfaces:
  java.lang.Cloneable, java.io.Serializable

public final class UnsyncHashtable
extends java.util.Dictionary
implements java.lang.Cloneable, java.io.Serializable

This class implements a hashtable, which maps keys to values. Any non-`null` object can be used as a key or as a value.

To successfully store and retrieve objects from a hashtable, the objects used as keys must implement the `hashCode` method and the `equals` method.

An instance of `UnsyncHashtable` has two parameters that affect its efficiency: its capacity and its load factor. The load factor should be between 0.0 and 1.0. When the number of entries in the hashtable exceeds the product of the load factor and the current capacity, the capacity is increased by calling the `rehash` method. Larger load factors use memory more efficiently, at the expense of larger expected time per lookup.

If many entries are to be made into a `UnsyncHashtable`, creating it with a sufficiently large capacity may allow the entries to be inserted more efficiently than letting it perform automatic rehashing as needed to grow the table.

This example creates a hashtable of numbers. It uses the names of the numbers as keys:

>                 UnsyncHashtable numbers = new UnsyncHashtable();
>                 numbers.put("one", new Integer(1));
>                 numbers.put("two", new Integer(2));
>                 numbers.put("three", new Integer(3));

To retrieve a number, use the following code:

>                 Integer n = (Integer)numbers.get("two");
>                 if (n != null) {
>                     System.out.println("two = " + n);
>                 }

See Also:
  Serialized Form

Constructor Summary
`UnsyncHashtable()` Constructs a new, empty hashtable with a default capacity and load factor.
`UnsyncHashtable(int initialCapacity)` Constructs a new, empty hashtable with the specified initial capacity and default load factor.
`UnsyncHashtable(int initialCapacity, float loadFactor)` Constructs a new, empty hashtable with the specified initial capacity and the specified load factor.

Method Summary
`void` | `clear()` Clears this hashtable so that it contains no keys.
`java.lang.Object` | `clone()` Creates a shallow copy of this hashtable.
`boolean` | `contains(java.lang.Object value)` Tests if some key maps into the specified value in this hashtable.
`boolean` | `containsKey(java.lang.Object key)` Tests if the specified object is a key in this hashtable.
`java.util.Enumeration` | `elements()` Returns an enumeration of the values in this hashtable.
`java.lang.Object` | `get(java.lang.Object key)` Returns the value to which the specified key is mapped in this hashtable.
`boolean` | `isEmpty()` Tests if this hashtable maps no keys to values.
`java.util.Enumeration` | `keys()` Returns an enumeration of the keys in this hashtable.
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object value)` Maps the specified `key` to the specified `value` in this hashtable.
`protected void` | `rehash()` Rehashes the contents of the hashtable into a hashtable with a larger capacity.
`java.lang.Object` | `remove(java.lang.Object key)` Removes the key (and its corresponding value) from this hashtable.
`int` | `size()` Returns the number of keys in this hashtable.
`java.lang.String` | `toString()` Returns a rather long string representation of this hashtable.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### UnsyncHashtable

    public UnsyncHashtable(int initialCapacity,
                           float loadFactor)

  Constructs a new, empty hashtable with the specified initial capacity and the specified load factor.
Parameters:
  `initialCapacity` - the initial capacity of the hashtable.
  `loadFactor` - a number between 0.0 and 1.0.
Throws:
  `java.lang.IllegalArgumentException` - if the initial capacity is less than or equal to zero, or if the load factor is less than or equal to zero.

### UnsyncHashtable

    public UnsyncHashtable(int initialCapacity)

  Constructs a new, empty hashtable with the specified initial capacity and default load factor.
Parameters:
  `initialCapacity` - the initial capacity of the hashtable.

### UnsyncHashtable

    public UnsyncHashtable()

  Constructs a new, empty hashtable with a default capacity and load factor.

Method Detail

### size

    public int size()

  Returns the number of keys in this hashtable.
  Returns:
    the number of keys in this hashtable.

### isEmpty

    public boolean isEmpty()

  Tests if this hashtable maps no keys to values.
  Returns:
    `true` if this hashtable maps no keys to values; `false` otherwise.

### keys

    public java.util.Enumeration keys()

  Returns an enumeration of the keys in this hashtable.
  Returns:
    an enumeration of the keys in this hashtable.

### elements

    public java.util.Enumeration elements()

  Returns an enumeration of the values in this hashtable. Use the Enumeration methods on the returned object to fetch the elements sequentially.
  Returns:
    an enumeration of the values in this hashtable.

### contains

    public boolean contains(java.lang.Object value)

  Tests if some key maps into the specified value in this hashtable. This operation is more expensive than the `containsKey` method.
  Parameters:
    `value` - a value to search for.
  Returns:
    `true` if some key maps to the `value` argument in this hashtable; `false` otherwise.
  Throws:
    `java.lang.NullPointerException` - if the value is `null`.

### containsKey

    public boolean containsKey(java.lang.Object key)

  Tests if the specified object is a key in this hashtable.
  Parameters:
    `key` - possible key.
  Returns:
    `true` if the specified object is a key in this hashtable; `false` otherwise.

### get

    public java.lang.Object get(java.lang.Object key)

  Returns the value to which the specified key is mapped in this hashtable.
  Parameters:
    `key` - a key in the hashtable.
  Returns:
    the value to which the key is mapped in this hashtable; `null` if the key is not mapped to any value in this hashtable.

### rehash

    protected void rehash()

  Rehashes the contents of the hashtable into a hashtable with a larger capacity. This method is called automatically when the number of keys in the hashtable exceeds this hashtable's capacity and load factor.

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object value)

  Maps the specified `key` to the specified `value` in this hashtable. Neither the key nor the value can be `null`.

  The value can be retrieved by calling the `get` method with a key that is equal to the original key.

  Parameters:
    `key` - the hashtable key.
    `value` - the value.
  Returns:
    the previous value of the specified key in this hashtable, or `null` if it did not have one.
  Throws:
    `java.lang.NullPointerException` - if the key or value is `null`.

### remove

    public java.lang.Object remove(java.lang.Object key)

  Removes the key (and its corresponding value) from this hashtable. This method does nothing if the key is not in the hashtable.
  Parameters:
    `key` - the key that needs to be removed.
  Returns:
    the value to which the key had been mapped in this hashtable, or `null` if the key did not have a mapping.

### clear

    public void clear()

  Clears this hashtable so that it contains no keys.

### clone

    public java.lang.Object clone()

  Creates a shallow copy of this hashtable. The keys and values themselves are not cloned. This is a relatively expensive operation.
  Returns:
    a clone of the hashtable.

### toString

    public java.lang.String toString()

  Returns a rather long string representation of this hashtable.
  Returns:
    a string representation of this hashtable.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Crypto Java API Reference 10g Release 3 (10.1.3) B25378-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.